<?php 
/* template name: Services */
get_header(); ?>

<?php

// check if the flexible content field has rows of data
if( have_rows('services_blocks') ):

     // loop through the rows of data
    while ( have_rows('services_blocks') ) : the_row();

        // banner
        if( get_row_layout() == 'banner' ):

        	?>

            <div class="top-banner">
                <i class="bg" style='background:url(<?php the_sub_field('background'); ?>)'></i>
                <div class="container">
                    <h2><?php the_sub_field('title'); ?></h2>
                    <p><?php the_sub_field('subtitle'); ?></p>
                </div>
            </div>

            <?php

        // Laptop Section
        elseif( get_row_layout() == 'laptop_section' ):
            
            ?>

            <div class="two_cols_section_1 image_right images-x laptop-section">
                <div class="container">
                    <div>
                        <h3><?php the_sub_field('title'); ?></h3>
                        <?php the_sub_field('text'); ?>
                        <a class="btn" href="<?php the_sub_field('link_button'); ?>"><?php the_sub_field('text_button'); ?></a>
                    </div>
                    <figure>
                        <div class="mock-laptop"><i style="background:url(<?php the_sub_field('image_laptop'); ?>)"></i></div>
                    </figure>
                </div>
            </div>

            <?php

        // Icons Grid
        elseif( get_row_layout() == 'section_icons_grid' ):

        ?>

        <div class="container section_icons_grid"> 
            <h2 class="h2"><?php the_sub_field('title'); ?></h2>
            
        <?php

        if( have_rows('icons_content') ):

            // loop through the rows of data
            ?> <ul class="icons-grid"> <?php
            while ( have_rows('icons_content') ) : the_row();

                // display a sub field value
                ?> <li><img src="<?php the_sub_field('icon'); ?>"><h5><?php the_sub_field('title'); ?></h5></li> <?php

            endwhile;
            ?> </ul></div> <?php
        else :

            // no rows found

        endif;


        // Two Cols Section Services
        elseif( get_row_layout() == 'two_cols_section_services_1' ):

        ?>

        <div class="two_cols_section_services_1">
            <div class="container">
                <div>
                    <div class="square-white">
                        <h5><?php the_sub_field('sup_title'); ?></h5>
                        <h3><?php the_sub_field('title'); ?></h3>
                        <p><?php the_sub_field('text_col1'); ?></p>
                    </div>
                </div>
                <div>
                    <?php the_sub_field('content_col_2'); ?>
                </div>
            </div>
        </div>

        <?php

        // Two Cols Section Services Standard
        elseif( get_row_layout() == 'two_cols_section_services_standard' ):

        ?>

        <div class="two_cols_section_services">
            <div class="blocks-bg">
                <i style="background: url(<?php the_sub_field('background_col_1'); ?>) no-repeat center; background-color: <?php the_sub_field('background_color_col_1'); ?>;"></i>
                <i style="background: url(<?php the_sub_field('background_col_2'); ?>) no-repeat center; background-color: <?php the_sub_field('background_color_col_2'); ?>;"></i>
            </div>
            <div class="container">
                <div class="<?php the_sub_field('text_color_col_1'); ?>" style="vertical-align: <?php the_sub_field('vertical_align_cols'); ?> ;">
                    <?php the_sub_field('content_col_1'); ?>
                </div>
                <div class="<?php the_sub_field('text_color_col_2'); ?>" style="vertical-align: <?php the_sub_field('vertical_align_cols'); ?> ;">
                    <?php the_sub_field('content_col_2'); ?>
                </div>
            </div>
        </div>

        <?php

        // new section here

        endif;

    endwhile;

else :

    // no layouts found

endif;

?>

<section class="testimonials">
    <div class="container">
        <h2>Testimonials</h2>
        <div class="testimonials-content int">
            <?php 
                query_posts(array( 
                    'post_type' => 'testimonials',
                    'posts_per_page' => '100',
                    'order_by' => 'date',
                    'order' => 'ASC'
                ) );  
            ?>

            <?php while (have_posts()) : the_post(); ?>

                 <div>
                    <div class="item-testimonial">
                        <figure>
                            <img src="<?php the_field('picture'); ?>">
                        </figure>
                        <div>
                            <p><?php the_field('description'); ?></p>
                            <h4><?php the_title(); ?></h4>
                            <span><?php the_field('position'); ?></span>
                        </div>  
                    </div>
                 </div>

            <?php endwhile;?><?php wp_reset_query(); ?>
        </div>
    </div>
</section>

<?php

// check if the flexible content field has rows of data
if( have_rows('services_blocks') ):

     // loop through the rows of data
    while ( have_rows('services_blocks') ) : the_row();

        // banner
        if( get_row_layout() == 'custom_articles' ):

            ?>

            <section class="lastblockhome">
                <div class="container">
                    <h2>Proven Client Growth on Amazon</h2>
                    <ul id="lastblockhome" class="fix-int">
                        <li>
                            <div class="iimage">
                                <img src="<?php the_sub_field('image_article_1'); ?>">
                                <p><?php the_sub_field('text_image_1'); ?></p>
                            </div>
                            <div class="listpost">
                                <div>
                                    <h4><a target="_blank" href="<?php the_sub_field('link_article_1'); ?>"><?php the_sub_field('title_article_1'); ?></a></h4>
                                    <p><?php the_sub_field('text_article_1'); ?></p>
                                    <a target="_blank" class="link" href="<?php the_sub_field('link_article_1'); ?>">LEARN HOW</a>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="iimage">
                                <img src="<?php the_sub_field('image_article_2'); ?>">
                                <p><?php the_sub_field('text_image_2'); ?></p>
                            </div>
                            <div class="listpost">
                                <div>
                                    <h4><a target="_blank" href="<?php the_sub_field('link_article_2'); ?>"><?php the_sub_field('title_article_2'); ?></a></h4>
                                    <p><?php the_sub_field('text_article_2'); ?></p>
                                    <a class="link" target="_blank" href="<?php the_sub_field('link_article_2'); ?>">LEARN HOW</a>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </section>

            <?php

        endif;

    endwhile;

else :

    // no layouts found

endif;

?>

<section id="section-servicesform">
    <div class="container">
        <?php echo do_shortcode('[contact-form-7 id="285" title="Services Form"]'); ?>
    </div>
</section>

<?php get_footer(); ?>