<?php 
/* template name: Strategy */
get_header(); ?>

<?php

// check if the flexible content field has rows of data
if( have_rows('strategy_blocks') ):

     // loop through the rows of data
    while ( have_rows('strategy_blocks') ) : the_row();

        // banner
        if( get_row_layout() == 'banner' ):

        	?>

            <div class="top-banner">
                <i class="bg" style='background:url(<?php the_sub_field('background'); ?>)'></i>
                <div class="container">
                    <h2><?php the_sub_field('title'); ?></h2>
                    <p><?php the_sub_field('subtitle'); ?></p>
                </div>
            </div>

            <?php

        // Image Right
        elseif( get_row_layout() == 'image_right' ):
            
            ?>

            <div class="two_cols_section_1 image_right images-x <?php the_sub_field('color_title'); ?> <?php the_sub_field('weight_title'); ?>" style="background:url(<?php the_sub_field('background'); ?>); background-color:<?php the_sub_field('background_color'); ?>">
                <div class="container">
                    <div>
                        <h3><?php the_sub_field('title'); ?></h3>
                        <p><?php the_sub_field('text'); ?></p>
                    </div>
                    <figure><img src="<?php the_sub_field('image'); ?>"></figure>
                </div>
            </div>

            <?php

        // Image Left
        elseif( get_row_layout() == 'image_left' ):
            
            ?>

            <div class="two_cols_section_1 image_left images-x <?php the_sub_field('color_title'); ?> <?php the_sub_field('weight_title'); ?>" style="background:url(<?php the_sub_field('background'); ?>); background-color:<?php the_sub_field('background_color'); ?>">
                <div class="container">
                    <figure><img src="<?php the_sub_field('image'); ?>"></figure>
                    <div>
                        <h3><?php the_sub_field('title'); ?></h3>
                        <p><?php the_sub_field('text'); ?></p>
                    </div>
                </div>
            </div>

            <?php

        // List
        elseif( get_row_layout() == 'list' ):
            
            ?>

            <div class="list-section">
                <div class="container">
                    <h2><?php the_sub_field('title'); ?></h2>
                    <?php the_sub_field('list'); ?>
                </div>
            </div>

            <?php

        // new section here

        endif;

    endwhile;

else :

    // no layouts found

endif;

?>

<?php get_footer(); ?>