<?php
/* template name: White Papers */
get_header(); ?>

<section id="content" class="single-temp show-more-data" role="main">

    <div class="container">
        <h1 class="entry-title">White Papers</h1>
        <div id="content-single">
            <div>
                <?php 
                query_posts(array( 
                    'post_type' => 'white_papers',
                    'posts_per_page' => '100',
                    'order_by' => 'date',
                    'order' => 'DESC'
                ) );  
                ?>

                <?php while (have_posts()) : the_post(); ?>

                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                    <div class="header-post">

                        <div class="meta-cm">
                            <figure class="avatar-cm"><?php echo get_avatar( get_the_author_meta('user_email'), $size = '60'); ?></figure>
                            <div class="author-cm"><?php the_author_posts_link(); ?> <p>Author</p></div>
                        </div>
                        <div class="entry-meta">
                            <span class="entry-date"><?php the_time( get_option( 'date_format' ) ); ?></span>
                        </div>

                    </div>

                    <h3 class="show-less"><a href="<?php echo get_permalink( $post->ID ); ?>"><?php the_title(); ?></a></h3>
                    <section class="entry-summary">
                        <?php the_excerpt(); ?>
                    </section>
                    <a class="show-less btn" href="<?php echo get_permalink( $post->ID ); ?>">Read More</a>

                </article>

                <?php endwhile;?><?php wp_reset_query(); ?>
            </div>
            <div id="sidebar-custom">
                <?php get_sidebar(); ?>
            </div>
        </div>

    </div>

</section>

<?php get_footer(); ?>


